// Include Arduino Wire library for I2C
#include <Wire.h>
 
// Define Slave I2C Address
#define SLAVE_ADDR 9

const int PIN_TO_SENSOR = 0;   // the pin that OUTPUT pin of sensor is connected to
int motion   = LOW; // current state of pin
int trigPin = 2;    // TRIG pin
int echoPin = 1;    // ECHO pin

float duration_us; 
int distance;

#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
 
LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup() {
  
  // configure the trigger pin to output mode
  pinMode(trigPin, OUTPUT);
  // configure the echo pin to input mode
  pinMode(echoPin, INPUT);
  Wire.begin();
  Serial.begin(9600);
  pinMode(PIN_TO_SENSOR, INPUT); // set xiao seeeduino pin to input mode to read value from OUTPUT pin of sensor

  lcd.begin();

}

void loop() {
  // generate 10-microsecond pulse to TRIG pin
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  // measure duration of pulse from ECHO pin
  duration_us = pulseIn(echoPin, HIGH);

  // calculate the distance
  distance = 0.017 * duration_us * 10;

  // read the  motion
  motion = digitalRead(PIN_TO_SENSOR);   // read new state

  Serial.println(motion);
  Serial.println(distance);

  if(distance< 900){
    lcd.backlight();
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("Akpe na mi");
  }

  else if(motion == 1){
    lcd.backlight();
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("So kokoli va");   
  }


  else{
    lcd.backlight();
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("");
  }
  
//  Write a charatre to the Slave
  Wire.beginTransmission(SLAVE_ADDR);
  Wire.write(distance);
  Wire.write(motion);
  Wire.endTransmission();
  delay(250); 

}
